LibreOffice: XUnionTypeDescription Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XUnionTypeDescription Interface Referencepublished

Deprecated, UNOIDL does not have a union concept. More...

`import"XUnionTypeDescription.idl";`

Inheritance diagram for XUnionTypeDescription:

## Public Member Functions
com::sun::star::reflection::XTypeDescription | getDiscriminantType ()
| Returns the (ordinal) discriminant type. More...
any | getDefaultDiscriminant ()
| Returns the default discriminant value. More...
com::sun::star::reflection::XTypeDescription | getDefaultMemberType ()
| Returns the type of the default value. More...
sequence< any > | getDiscriminants ()
| Returns discriminants of all members in order of IDL declaration. More...
sequence< com::sun::star::reflection::XTypeDescription > | getMemberTypes ()
| Returns types of all members in order of IDL declaration. More...
sequence< string > | getMemberNames ()
| Returns names of all members in order of IDL declaration. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated, UNOIDL does not have a union concept.

Deprecated:

## Member Function Documentation

## § getDefaultDiscriminant()

any getDefaultDiscriminant | ( |  | ) |

Returns the default discriminant value.

Returns
  default discriminant value

## § getDefaultMemberType()

com::sun::star::reflection::XTypeDescription getDefaultMemberType | ( |  | ) |

Returns the type of the default value.

Returns
  type of the default value

## § getDiscriminants()

sequence< any > getDiscriminants | ( |  | ) |

Returns discriminants of all members in order of IDL declaration.

Returns
  discriminants of all members

## § getDiscriminantType()

com::sun::star::reflection::XTypeDescription getDiscriminantType | ( |  | ) |

Returns the (ordinal) discriminant type.

Returns
  type of the discriminant

## § getMemberNames()

sequence< string > getMemberNames | ( |  | ) |

Returns names of all members in order of IDL declaration.

Returns
  names of all members

## § getMemberTypes()

sequence< com::sun::star::reflection::XTypeDescription > getMemberTypes | ( |  | ) |

Returns types of all members in order of IDL declaration.

Returns
  types of all members

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XUnionTypeDescription.idl